# NoRippleCheckResponse | xrpl
Documentation for xrpl

# Interface NoRippleCheckResponse

Response expected by a NoRippleCheckRequest.

#### Hierarchy

- BaseResponse
  - NoRippleCheckResponse

- Defined in packages/xrpl/src/models/methods/norippleCheck.ts:62

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
ledger_current_index: number;
problems: string[];
transactions: Object[];
}

#### Type declaration

- ##### ledger_current_index: number

  The ledger index of the ledger used to calculate these results.

- ##### problems: string[]

  Array of strings with human-readable descriptions of the problems. This includes up to one entry if the account's Default Ripple setting is not as recommended, plus up to limit entries for trust lines whose no ripple setting is not as recommended.

- ##### transactions: Object[]

  If the request specified transactions as true, this is an array of JSON objects, each of which is the JSON form of a transaction that should fix one of the described problems. The length of this array is the same as the problems array, and each entry is intended to fix the problem described at the same index into that array.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/norippleCheck.ts:63

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc